#ifndef PCGENMEMO_H_
#define PCGENMEMO_H_

#include <stdio.h>
#include <string.h>
#include "Common\constants.h"


typedef struct record
{
	short hash;
	char *data;
} memo;


void deleteRecord( memo *memodata, int hash, int nummemos );
char * makeMemo(int memonumber, int size, FILE *randomdata );
void createMemo( const char *memotext, int hashvalue, int *nummemos, memo *memodata );
void copyMemoEntry(memo *source, memo *dest);
unsigned short calcHashValue( const char *data);
void freeData( memo *memodata );
char *getMemoText( memo *memodata, int index );
void initializeNewData( memo *memodata );


#endif